## shell-polkit-authentication-agent

shell-polkit-authentication-agent

## Synopsis

                        ShellPolkitAuthenticationAgent;
                        ShellPolkitAuthenticationAgentClass;
    void                shell_polkit_authentication_agent_complete
                                                            (ShellPolkitAuthenticationAgent *agent,
                                                             gboolean dismissed);
    ShellPolkitAuthenticationAgent * shell_polkit_authentication_agent_new
                                                            (void);

## Object Hierarchy

      GObject
       +----PolkitAgentListener
             +----ShellPolkitAuthenticationAgent

## Signals

      "cancel"                                         : Run Last
      "initiate"                                       : Run Last

## Description

## Details

### ShellPolkitAuthenticationAgent

    typedef struct _ShellPolkitAuthenticationAgent ShellPolkitAuthenticationAgent;

### ShellPolkitAuthenticationAgentClass

    typedef struct _ShellPolkitAuthenticationAgentClass ShellPolkitAuthenticationAgentClass;

### shell_polkit_authentication_agent_complete ()

    void                shell_polkit_authentication_agent_complete
                                                            (ShellPolkitAuthenticationAgent *agent,
                                                             gboolean dismissed);

### shell_polkit_authentication_agent_new ()

    ShellPolkitAuthenticationAgent * shell_polkit_authentication_agent_new
                                                            (void);

## Signal Details

### The `"cancel"` signal

    void                user_function                      (ShellPolkitAuthenticationAgent *shellpolkitauthenticationagent,
                                                            gpointer                        user_data)                           : Run Last

### The `"initiate"` signal

    void                user_function                      (ShellPolkitAuthenticationAgent *shellpolkitauthenticationagent,
                                                            gchar                          *arg1,
                                                            gchar                          *arg2,
                                                            gchar                          *arg3,
                                                            gchar                          *arg4,
                                                            GStrv                           arg5,
                                                            gpointer                        user_data)                           : Run Last